Skip to main content
GET
/
v1
/
me
Current user and token diagnostics
curl --request GET \
  --url https://api.natecosmic.com/v1/me \
  --header 'Authorization: Bearer <token>'
{
  "user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "display_name": "<string>"
  },
  "scopes": [
    "<string>"
  ],
  "organizations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "<string>"
    }
  ],
  "organization_memberships": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "status": "<string>",
      "is_primary": true
    }
  ],
  "accessible_member_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

Scopes (integration tokens): organizations:read, organization-members:read|write, certifications:read|write, job-roles:read|write, qualifications:read|write, certification-types:read|write.

Response

User, scopes, organizations, memberships, accessible member ids

Token diagnostics: user, scopes, orgs, memberships, accessible member ids

user
object
scopes
string[]
organizations
object[]
organization_memberships
object[]
accessible_member_ids
string<uuid>[]